#include "GameObject.h"
#include "EventKeyboard.h"

class MovingPlatform : public GameObject {

protected:
//void kbd(EventKeyboard *keyboard_event);
  

public:
	int xs;
	int ys;
	int moveDelay;
	int moveDelaySet;
	void move(int dx,int dy);
	void step();
	//void draw();
	MovingPlatform();
	~MovingPlatform();
	int eventHandler(Event *e);
};